### Hierarchy

- Permission

## Index

### Constructors

- constructor

### Properties

- ability
- can
- canArray
- cannot
- cannotArray
- conditions
- displayDefault
- el
- isolate
- permissions
- roles
- rules
- rulesJson
- subject

### Methods

- componentDidLoad
- componentDidUnload
- componentDidUpdate
- getRules
- onPermissionsRulesChange
- parsePermissions
- render
- setPermissionService
- setRules
- update

## Constructors

### constructor

- new Permission(): Permission

- - Defined in permission/permission.tsx:26

  #### Returns Permission

## Properties

### ability

ability: Ability

- Defined in permission/permission.tsx:10

### can

can: string = "["read"]"

- Defined in permission/permission.tsx:21

### canArray

canArray: any[]

- Defined in permission/permission.tsx:11

### cannot

cannot: string

- Defined in permission/permission.tsx:22

### cannotArray

cannotArray: any[]

- Defined in permission/permission.tsx:12

### conditions

conditions: string

- Defined in permission/permission.tsx:24

### displayDefault

displayDefault: string

- Defined in permission/permission.tsx:13

### el

el: HTMLElement

- Defined in permission/permission.tsx:17

### isolate

isolate: boolean

- Defined in permission/permission.tsx:25

### permissions

permissions: PermissionsService

- Defined in permission/permission.tsx:14

### roles

roles: string[] = ['ANONYMOUS']

- Defined in permission/permission.tsx:15

### rules

rules: any[] = []

- Defined in permission/permission.tsx:19

### rulesJson

rulesJson: string

- Defined in permission/permission.tsx:26

### subject

subject: string = "all"

- Defined in permission/permission.tsx:23

## Methods

### componentDidLoad

- componentDidLoad(): void

- - Defined in permission/permission.tsx:42

  #### Returns void

### componentDidUnload

- componentDidUnload(): void

- - Defined in permission/permission.tsx:51

  #### Returns void

### componentDidUpdate

- componentDidUpdate(): void

- - Defined in permission/permission.tsx:47

  #### Returns void

### getRules

- getRules(): Promise<any[]>

- - Defined in permission/permission.tsx:64

  #### Returns Promise<any[]>

### onPermissionsRulesChange

- onPermissionsRulesChange(): void

- - Defined in permission/permission.tsx:103

  #### Returns void

### parsePermissions

- parsePermissions(): void

- - Defined in permission/permission.tsx:82

  #### Returns void

### render

- render(): any

- - Defined in permission/permission.tsx:109

  #### Returns any

### setPermissionService

- setPermissionService(instance: any): Promise<void>

- - Defined in permission/permission.tsx:58

  #### Parameters

  - ##### instance: any

  #### Returns Promise<void>

### setRules

- setRules(rules: any[], replace?: boolean): Promise<void>

- - Defined in permission/permission.tsx:69

  #### Parameters

  - ##### rules: any[]

  - ##### Default value replace: boolean = true

  #### Returns Promise<void>

### update

- update(): Promise<void>

- - Defined in permission/permission.tsx:78

  #### Returns Promise<void>